.\" This file is in -*- nroff-fill -*- mode
.\" Global string definitions
.\" $Id: global.mm,v 4.2 2003/01/08 05:12:43 grog Exp grog $
.\" Basic page format
.\" XXX we don't really need this.  Only referred to in one place.
.nr cwfontsize 8
.cs CW 19
.cs CB 19
.cs CBI 19
.cs CI 19
.nr pg*footer-size 5
.ps \n(PS                       \"  point size of standard text
.vs \n(LS                       \" Standard vertical spacing
.nr Pi 3                        \" indent paragraphs 3 characters
.FD 1                           \" footnotes adjusted, hyphenated, indented
.nr Fs .6                       \" additional .6 line gap between footnotes
.\" .fam G                      \" Don't use Garamond fonts
.nr appendix 0                  \" not an appendix until proven otherwise
.nr ft*clear-at-header 1        \" Clear footnotes on every page
.ds Fver 5.0\" FreeBSD version number
.ds Xver 4.2.0\" XFree86 version number
.ds Xupdate 1\" XFree86 update number
.hw Free-BSD
.\" Macros
.de EOP
.ie (\\n[firstpage]=1) .tl '\\*[RCS-ID]''%'
.el \{\
.  ie e .tl '''\\*[RCS-ID]'
.  el .tl '\\*[RCS-ID]'''
.\}
.\" .nr firstpage 0
..
.if '\\n[html'1' \{\
.nf
.na
.nh
.\}
.rm pg@header
.de pg@header
.\" XXX cut marks? .CM pagetop
.\" XXX.if \\n[D]>1 .tm Page# \\n[%] (\\n[.F]:\\n[c.]) firstpage:\\n[firstpage]
.if \\n[D]>1 .tm Page# \\n[%] (\\n[.F]:\\n[c.])
.if \\n[Idxf] \{\
.tl '<pagenr\ \\n[%]>'''
.\}
.\" assign current page-number to P
.hd@set-page
.\"
.\" suppress pageheader if pagenumber == 1 and N == [124]
.if \\n[pg*top-enabled] \{\
.\"     must be fixed!!
.\".    pg@disable-top-trap
.       if \\n[pg*extra-header-size] 'sp \\n[pg*extra-header-size]u
.       if \\n[pg*top-margin] 'sp \\n[pg*top-margin]u
.       ev pg*tl-ev
.       pg@set-env
'       sp 3
.fam H
.tm page \\n[%], firstpage \\n[firstpage]
.backtrace
.ps 8
.tm firstpage \\n[firstpage] page \\n%
.\" No page number on first page of chapter
.       ie (\\n[firstpage]=1) Foo \\n%
.       el \{\
.               ie e \{\
.                       ie '\\*[Section*title]'' .tl 'The Complete FreeBSD''%'
.                       el .tl '\\*[Section*title]''%'
.                    \}
.               el .tl '%''\\*[Chapter*title]'
.          \}
\v'-.7v'\l'5i'
.fam T
.       ev
.       \" why no-space??
.       if d PX \{\
.               ns
.               PX
.               rs
.       \}
.       \" check for pending footnotes 
.       ft@check-old
.       \"
.       \" back to normal text processing
.       pg@enable-trap
.       \" mark for multicolumn
.       nr pg*head-mark \\n[nl]u
.       \" reset NCOL pointer at each new page.
.       nr pg*last-ncol 0
.       \" set multicolumn
.       \" 
.       pg@set-po
.       \" print floating displays
.       df@print-float 4
.       tbl@top-hook
.       ns
.\}
.if \\n[pg*top-enabled]<0 .nr pg*top-enabled 1
.nr hd*cur-bline \\n[nl]        \" .H needs to know if output has occurred
.nr ft*nr 0 1                  \" Reset footnote number
.tm firstpage \\n[firstpage] page \\n%
.nr firstpage 0
.tm nr firstpage 0
..
.ie n \{\
.de Df
.br
.DS
.fi
..
\}
.el \{\
.de Df
.br
.DF
.fi
..
.\}
.pg@header
