.\" This file is in -*- nroff-fill -*- mode
.\" STATUS: review draft 4th edition
.\" $Id: introduction.mm,v 4.11 2003/01/12 06:39:51 grog Exp grog $
.Chapter \*[nchintro] "Introduction"
FreeBSD is a free operating system derived from AT&T's \fIUNIX\fP\| operating
system.\*F
.FS
FreeBSD no longer contains any AT&T proprietary code, so it may be distributed
freely.  See page
.Sref \*[history] \&
for more details.
.FE
It runs on the following platforms:
.Ls B
.LI
Computers based on the Intel i386 CPU architecture, including the 386, 486 and
Pentium families of processors, and compatible CPUs from AMD and Cyrix.
.LI
The Compaq/Digital Alpha processor.
.LI
64 bit SPARC machines from Sun Microsystems.
.LI
In addition, significant development efforts are going towards porting FreeBSD
to other hardware, notably the Intel 64 bit architecture and the IBM/Motorola
PowerPC architecture.
.Le
This book describes the released versions of FreeBSD for Intel and Alpha
processors.  Current support for SPARC 64 processors is changing too fast for it
to be practical to give details specific to this processor, but nearly
everything in this book also applies to SPARC 64.
.H2 "How to use this book"
This book is intended for a number of different audiences.  It attempts to
present the material without too many forward references.  It contains the
following parts:
