(defun mkhtml ()
  (interactive)
  (save-excursion
    (beginning-of-buffer)
    (query-replace-regexp "^\\.H\\([0-9]\\) \"\\(.*\\)\"" "<h\\1>\\2</h\\1>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\\\fI\\([^\\]*\\)\\\\fP" "<i>\\1</i>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\\\f(CB\\([^\\]*\\)\\\\fP" "<b>\\1</b>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\\\f(CW\\([^\\]*\\)\\\\fP" "<tt>\\1</tt>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\\\|" "" nil)
    (beginning-of-buffer)
    (query-replace-regexp "^\\.P$" "<p>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "^\\.X .*
" "" nil)
    (beginning-of-buffer)
    (query-replace-regexp "^\\.Pn .*
" "" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\.De" "</pre>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\.Dx" "<pre>" nil)
    (beginning-of-buffer)
    (query-replace-regexp "\\\\(em" "--" nil) ) )